#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kmousetool
Version: 17.12.2
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility
Summary: Automatic Mouse Click
URL: http://www.kde.org/applications/utilities/kmousetool/
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
License: GPLv2 and GFDL

BuildRequires: kf5-macros
BuildRequires: extra-cmake-modules

BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xtst)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5XmlGui)

BuildRequires: cmake(Phonon4Qt5Experimental)

Recommends: kmousetool-handbook

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.08.0-1
Conflicts:      kde-l10n-bg < 17.08.0-1
Conflicts:      kde-l10n-bs < 17.08.0-1
Conflicts:      kde-l10n-ca < 17.08.0-1
Conflicts:      kde-l10n-ca-valencia < 17.08.0-1
Conflicts:      kde-l10n-cs < 17.08.0-1
Conflicts:      kde-l10n-da < 17.08.0-1
Conflicts:      kde-l10n-de < 17.08.0-1
Conflicts:      kde-l10n-el < 17.08.0-1
Conflicts:      kde-l10n-en_GB < 17.08.0-1
Conflicts:      kde-l10n-en_US < 17.08.0-1
Conflicts:      kde-l10n-es < 17.08.0-1
Conflicts:      kde-l10n-et < 17.08.0-1
Conflicts:      kde-l10n-eu < 17.08.0-1
Conflicts:      kde-l10n-fa < 17.08.0-1
Conflicts:      kde-l10n-fi < 17.08.0-1
Conflicts:      kde-l10n-fr < 17.08.0-1
Conflicts:      kde-l10n-ga < 17.08.0-1
Conflicts:      kde-l10n-gl < 17.08.0-1
Conflicts:      kde-l10n-he < 17.08.0-1
Conflicts:      kde-l10n-hi < 17.08.0-1
Conflicts:      kde-l10n-hr < 17.08.0-1
Conflicts:      kde-l10n-hu < 17.08.0-1
Conflicts:      kde-l10n-ia < 17.08.0-1
Conflicts:      kde-l10n-id < 17.08.0-1
Conflicts:      kde-l10n-is < 17.08.0-1
Conflicts:      kde-l10n-it < 17.08.0-1
Conflicts:      kde-l10n-ja < 17.08.0-1
Conflicts:      kde-l10n-kk < 17.08.0-1
Conflicts:      kde-l10n-km < 17.08.0-1
Conflicts:      kde-l10n-ko < 17.08.0-1
Conflicts:      kde-l10n-lt < 17.08.0-1
Conflicts:      kde-l10n-lv < 17.08.0-1
Conflicts:      kde-l10n-mr < 17.08.0-1
Conflicts:      kde-l10n-nb < 17.08.0-1
Conflicts:      kde-l10n-nds < 17.08.0-1
Conflicts:      kde-l10n-nl < 17.08.0-1
Conflicts:      kde-l10n-nn < 17.08.0-1
Conflicts:      kde-l10n-pa < 17.08.0-1
Conflicts:      kde-l10n-pl < 17.08.0-1
Conflicts:      kde-l10n-pt < 17.08.0-1
Conflicts:      kde-l10n-pt_BR < 17.08.0-1
Conflicts:      kde-l10n-ro < 17.08.0-1
Conflicts:      kde-l10n-ru < 17.08.0-1
Conflicts:      kde-l10n-sk < 17.08.0-1
Conflicts:      kde-l10n-sl < 17.08.0-1
Conflicts:      kde-l10n-sr < 17.08.0-1
Conflicts:      kde-l10n-sv < 17.08.0-1
Conflicts:      kde-l10n-tr < 17.08.0-1
Conflicts:      kde-l10n-ug < 17.08.0-1
Conflicts:      kde-l10n-uk < 17.08.0-1
Conflicts:      kde-l10n-wa < 17.08.0-1
Conflicts:      kde-l10n-zh_CN < 17.08.0-1
Conflicts:      kde-l10n-zh_TW < 17.08.0-1

%description
KMouseTool is a tool that clicks the mouse for you.

%files -f %name.lang
%_kf5_bindir/kmousetool
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/kmousetool
%_kf5_iconsdir/hicolor/*/*/kmousetool*

#------------------------------------------------------------------------------

%package -n kmousetool-handbook
Summary: Kmousetool Handbook
Conflicts: kmousetool < 2:4.7.1
BuildArch: noarch
Group: Documentation

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.08.0-1
Conflicts:      kde-l10n-handbooks-bg < 17.08.0-1
Conflicts:      kde-l10n-handbooks-bs < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ca < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.08.0-1
Conflicts:      kde-l10n-handbooks-cs < 17.08.0-1
Conflicts:      kde-l10n-handbooks-da < 17.08.0-1
Conflicts:      kde-l10n-handbooks-de < 17.08.0-1
Conflicts:      kde-l10n-handbooks-el < 17.08.0-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.08.0-1
Conflicts:      kde-l10n-handbooks-en_US < 17.08.0-1
Conflicts:      kde-l10n-handbooks-es < 17.08.0-1
Conflicts:      kde-l10n-handbooks-et < 17.08.0-1
Conflicts:      kde-l10n-handbooks-eu < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fi < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ga < 17.08.0-1
Conflicts:      kde-l10n-handbooks-gl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-he < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hi < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hu < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ia < 17.08.0-1
Conflicts:      kde-l10n-handbooks-id < 17.08.0-1
Conflicts:      kde-l10n-handbooks-is < 17.08.0-1
Conflicts:      kde-l10n-handbooks-it < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ja < 17.08.0-1
Conflicts:      kde-l10n-handbooks-kk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-km < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ko < 17.08.0-1
Conflicts:      kde-l10n-handbooks-lt < 17.08.0-1
Conflicts:      kde-l10n-handbooks-lv < 17.08.0-1
Conflicts:      kde-l10n-handbooks-mr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nb < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nds < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nn < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pt < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ro < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ru < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sv < 17.08.0-1
Conflicts:      kde-l10n-handbooks-tr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ug < 17.08.0-1
Conflicts:      kde-l10n-handbooks-uk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-wa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.08.0-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.08.0-1

%description -n kmousetool-handbook
This package provides kmousetool handbook and mandir

%files -n kmousetool-handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/*/kmousetool
%_kf5_mandir/man1/kmousetool.1.*
%_kf5_mandir/*/man1/kmousetool.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name} --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202296
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090094
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076834
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1072035
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067354
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061416
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050679
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047323
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040080
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012570
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004359
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994912
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991202
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987471
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922640
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912018
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905488
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901040
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880874
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 866305
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 859175
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800617
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787703
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 739363
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734565
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 681129
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667502
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663014
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656692
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653878
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651984
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636752
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625519
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615596
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609412
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606853
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603360
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600695
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590481
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580871
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555012
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551283
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540267
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490783
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488639
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476873
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465216
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458930
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455316
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447986
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435348
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428462
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407273
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401899
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394440
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339542
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334602
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Add pkgconfig(xtst) as BR

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326803
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320322
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316198
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301974
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289778
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277088
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269691
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 266209
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257263
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228488
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221488
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198336
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191088
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186263
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181460
- imported package kmousetool

